import type { SimpleIntervalSchedule } from 'toad-scheduler';
import type { Queue } from '../queue';
export declare type MetricsConfig = {
    redisPrefix?: string;
    collectInterval?: SimpleIntervalSchedule;
    maxMetrics?: number;
    blacklist?: string[];
};
export declare type QueueConfig = {
    readonly?: boolean;
};
export declare type QueueConfigTuple = [queue: Queue, config: QueueConfig];
export declare type Config = {
    queues: (Queue | QueueConfigTuple)[];
    gqlPlayground?: boolean;
    gqlIntrospection?: boolean;
    baseUrl?: string;
    textSearchScanCount?: number;
    metrics?: MetricsConfig | false;
};
